[RISOLTO] Arduino Nano [A000005]

Salve, comprato questo: https://www.amazon.it/Arduino-A000005-Nano/dp/B0097AU5OU, ho installato i driver che erano necessari ed effettivamente il pc me lo riconosce, solo che quando devo caricare uno sketch va in errore. Cosa dovrei fare?

Driver che ho scaricato: Drivers - FTDI

Quando lo programmi, nell'IDE, sotto la voce Board, oltre a selezionare la scheda Nano, prova a mettere la voce "old bootloader"

Viene venduto come originale, ma dalle immagini di alcuni utenti che l'hanno preso a me sembra tanto un clone...

Nel caso in cui sia originale non dovrebbe esserci necessità di installare driver aggiuntivi oltre a quelli già installati dall'Arduino IDE.

Riesci a leggere la sigla dell'integrato USB/TTL che monta?

Stando ai dati del venditore a me pare che sia proprio Arduino, quindi dovrebbe essere originale. Se dici che dopo l'installazione dei driver quando lo colleghi lo vede, i driver sembrano corretti, quindi devi spiegare meglio cosa intendi con "va in errore" (quale errore esattamente?). Inoltre spiega anche che versione di sistema operativo (parliamo di Linux? Mac? Windows? E quale versione?), di IDE, e se sulla stessa macchina tu hai anche i dirver per altre schede Arduino "compatibili" (che usano altro driver).

docdoc:
Stando ai dati del venditore a me pare che sia proprio Arduino

Si è vero, cosi sembrerebbe.
Però se vai a vedere i commenti c’è un tale Giuseppe ed anche un altro utente tedesco che hanno messo delle foto dei prodotti che gli sono arrivati e quelli sembrano dei cloni.
Io se per 25€ ricevessi un clone, rimanderei subito indietro e segnalerei pure l’accaduto ad Amazon.
E’ vero anche che i commenti in questione sono molto vecchi, magari lo stesso prodotto venduto prima non era quello originale.

cotestatnt:
Nel caso in cui sia originale non dovrebbe esserci necessità di installare driver aggiuntivi oltre a quelli già installati dall'Arduino IDE.

... mmm ... non so, non conosco bene Win ... i driver per il FT232RL (FTDI) sono di base?

Guglielmo

gpb01:
i driver per il FT232RL (FTDI) sono di base?

No, li aggiunge l'installer dell'IDE ed anche se non lo facesse il meccanismo di "recupero" automatico di WIndows i driver per chip FTDI li trova senza problemi.
Anche i CP210x li trova in automatico e funzionano out-of-the-box, sono i CH340 che creano sempre problemi.

Dice che il nano viene riconosciuto. Il problema mi pare gli capita quando fa upload.
Se la Nano non è recente avrà sopra il bootloader vecchio.

>federicofrasca: magari se ci dici pure l'errore che incontri riusciamo a capire ... ::slight_smile:

Se puoi, copia/incolla il/i messaggio/i di errore ...

Guglielmo

Aggiornamenti: Lo stesso prodotto adesso funziona correttamente e non presenta alcun errore, però vi posso assicurare che i driver sono serviti per permettere la compatibilità anche se il prodotto è originale, dico che è originale perchè lo "shop" è quello ufficiale arduino "ho allegato delle foto di ciò che mi è arrivato", presumo che i driver servino perchè l'arduino nano è del 2014 e veniva riconosciuto dal mio computer come un dispositivo "anomalo", poi ho installato i driver ed è stato indentificato come classica COM6.

Anche io ho visto la foto di quella persona ma il mio non è come quello della foto "essendo quello una copia cinese"

Ecco il logo da cui presumo sia ufficiale

Si in effetti è quello originale!
Ottima notizia, ed ottima notizia anche il fatto che hai risolto :slight_smile:

Ho anche capito il problema...avevo inserito "ATmega328P old bootloader" mentre invece era quello standard "ATmega328P"

Ottimo! Ora modifica il tuo primo post e metti il prefisso "[RISOLTO]" all'oggetto!

Have a nice coding!